
Redmine - Defect #11192

Make repository identifier accept underscores

2012-06-19 04:25 - Daniel Stonier

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 1.4.5   

Resolution: Fixed Affected version: 2.0.3

Description

Project identifiers now permit '_' (app/models/project.rb), but repository identifiers do not (app/models/repository.rb). This causes an

untuitive problem with redmine_scm.

If there is no reason not to have the same, the patch below addresses this.

Associated revisions

Revision 9875 - 2012-06-19 21:12 - Jean-Philippe Lang

Make repository identifier accept underscores (#11192).

History

#1 - 2012-06-19 09:52 - Toshi MARUYAMA

- Category changed from Code cleanup/refactoring to SCM

#2 - 2012-06-19 21:12 - Jean-Philippe Lang

- Subject changed from Standardise :identifier text_field validation formats to Make repository identifier accept underscores

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.0.4

- Affected version (unused) changed from devel to 2.0.3

- Resolution set to Fixed

- Affected version set to 2.0.3

Fixed in r9875.

#3 - 2012-07-08 14:25 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 1.4 and 2.0.

#4 - 2012-09-06 19:11 - Jean-Philippe Lang

- Target version changed from 2.0.4 to 1.4.5
